> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a list of categories > Categories are implicitly filtered by the user's `read` permission. ## OpenAPI ````json GET /v{version}/Categories { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Categories": { "get": { "tags": [ "Categories" ], "summary": "Get a list of categories", "description": "Categories are implicitly filtered by the user's `read` permission.", "operationId": "Categories_GetList", "parameters": [ { "name": "name", "in": "query", "description": "Name of the category", "schema": { "type": "string" } }, { "name": "parentCategoryId", "in": "query", "description": "Unique ID of the parent category", "schema": { "type": "integer", "format": "int32" } }, { "name": "rootCategoryName", "in": "query", "description": "Name of the root category", "schema": { "type": "string" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.Category" } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.Category": { "type": "object", "properties": { "Created": { "type": "string", "description": "Creation date in UTC", "format": "date-time", "readOnly": true }, "Id": { "type": "integer", "description": "Unique ID of the category", "format": "int32", "readOnly": true }, "Modified": { "type": "string", "description": "Modification date in UTC", "format": "date-time", "readOnly": true }, "Name": { "type": "string", "description": "Name of the category" }, "ParentId": { "type": "integer", "description": "Unique ID of the parent category", "format": "int32" }, "Permissions": { "type": "object", "properties": { "Read": { "type": "boolean" }, "Write": { "type": "boolean" } }, "description": "Permissions of the category", "readOnly": true }, "Selectable": { "type": "boolean", "description": "If `true`, the category is selectable in the IXM Platform.\r\nDefault: `false`." } }, "description": "Category" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````